[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Forms' (#lcl)

# WindowStateToStr

Converts a TWindowState enumeration value to its String representation.

## Declaration

Source position: forms.pp line 1946

`function WindowStateToStr(`
`const State: TWindowState`
`):string;`

## Arguments

`State` |  | TWindowState enumeration value converted in the routine.

## Function result

String representing the specified enumeration value.

## Description

WindowStateToStr is a String function used to get the string representation for the TWindowState enumeration value in the State argument. Calls GetEnumName in lazutilities to get the String representation for the value in State.

## See also

GetEnumName